singularity(1)

NAME

singularity-data-package - Package a file or directory into a data container

SYNOPSIS

singularity data package

DESCRIPTION

The data package command creates an OCI-SIF data container, which packages
  a file or directory into a convenient format that can be distributed alongside
  application container images, and mounted into a container at runtime.

OPTIONS

-h, --help[=false]
    help for package

EXAMPLE
      To create a data container that packages the contents of mydir:
      $ singularity data package mydir data.oci.sif
      To create a data container that package a single file:
      $ singularity data package mydir/myfile data.oci.sif

SEE ALSO

singularity-data(1)

HISTORY

29-Oct-2024 Auto generated by spf13/cobra